<?


function includeJs($file) {
//    echo("<script type=\"text/javascript\" src=\"".$file."?".filemtime($file)."\"></script>\n");
    echo("<script type=\"text/javascript\" src=\"".$file."\"></script>\n");
}


function includeTpl($file) {
    if(file_exists($file)) {
        readfile($file);
    }
}

function getSafeInt($v) {
    return (int) $v;
}


function getSafeStr($s) {    
//    return addslashes($s);
    return addslashes(urldecode($s));
}



function varp($var, $to_die = true) {
	echo("<PRE>");
	print_r($var);
	if($to_die) die;
}



function varpl($v) {
    ob_start();
    print_r($v);
    plog(ob_get_clean());
}




function plog($text) {
    $f = fopen("jaws.log", "a");
    fwrite($f, date('[H:m:s]')." - ".$text."\n");
    fclose($f);
}





function getJsCode($a) {
    if (is_null($a)) return 'null';
    if ($a === false) return 'false';
    if ($a === true) return 'true';
    if (is_scalar($a)) {
        $a = addslashes($a);
        $a = str_replace("\n", '\n', $a);
        $a = str_replace("\r", '\r', $a);
        return "'".$a."'";
    }
    $isList = true;
    for ($i=0, reset($a); $i<count($a); $i++, next($a))
        if (key($a) !== $i) { $isList = false; break; }
    $result = array();
    if ($isList) {
        foreach ($a as $v) $result[] = getJsCode($v);
        return '[ ' . join(',', $result) . ' ]';
    } else {
//        foreach ($a as $k=>$v) $result[] = getJsCode($k) . ': ' . getJsCode($v);
        foreach ($a as $k=>$v) $result[] = $k . ': ' . getJsCode($v);
        return '{ ' . join(', ', $result) . ' }';
    }
}


?>